
Redmine - Defect #12343

Redmine 2.1.2 not sending out email via sendmail

2012-11-10 11:28 - Choon Ming Goh

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I've just recently upgraded my redmine from v1.0.1 to v2.1.2. I've followed the guide on 

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade and the upgrade is rather smooth.

I'm facing a problem where I'm not receiving any emails from the redmine server via sendmail. I tried sending an email manually via

sendmail and it works so I doubt the OS has a problem

I'm using debian 6

This is the email config from config/configuration.yml:

#

production:

email_delivery:

delivery_method: :sendmail

Below is the snippet of the production.log:

Started PUT "/issues/636" for 210.195.222.102 at Sat Nov 10 10:18:53 +0000 2012

Processing by IssuesController#update as HTML

Parameters: {"time_entry"=>{"comments"=>"", "activity_id"=>"", "hours"=>""}, "commit"=>"Submit", "last_journal_id"=>"",

"notes"=>"no longer needed", "authenticity_token"=>"loXMm+krjxI7f8DzWhT6RqfL1RI5mPXNSENu2egGaIA=", "utf8"=>"✓",

"id"=>"636", "issue"=>{"start_date"=>"2012-11-10 00:00:00", "estimated_hours"=>"", "priority_id"=>"4", "parent_issue_id"=>"",

"is_private"=>"0", "project_id"=>"9", "fixed_version_id"=>"", "lock_version"=>"0", "subject"=>"business meeting in sg with quest

venture", "assigned_to_id"=>"23", "done_ratio"=>"0", "tracker_id"=>"2", "due_date"=>"", "description"=>"time tracking purpose",

"status_id"=>"5"}, "attachments"=>{"1"=>{"description"=>""}}}

Current user: choonming (id=23)

Rendered mailer/_issue.text.erb (2.0ms)

Rendered mailer/issue_edit.text.erb within layouts/mailer (4.5ms)

Rendered mailer/_issue.html.erb (0.9ms)

Rendered mailer/issue_edit.html.erb within layouts/mailer (2.9ms)

Redirected to http://service.olindata.com/issues/636

Completed 302 Found in 734ms (ActiveRecord: 27.3ms)

Gem list:

actionmailer (3.2.8, 3.2.6, 2.3.14, 2.3.5)

actionpack (3.2.8, 3.2.6, 2.3.14, 2.3.5)

activemodel (3.2.8, 3.2.6)

activerecord (3.2.8, 3.2.6, 2.3.14, 2.3.5)

activeresource (3.2.8, 3.2.6, 2.3.14, 2.3.5)

activesupport (3.2.8, 3.2.6, 2.3.14, 2.3.5)

arel (3.0.2)

builder (3.1.4, 3.0.0)

bundler (1.2.1, 1.1.4)

coderay (1.0.8)

edavis10-object_daddy (0.4.3)

erubis (2.7.0)

fastercsv (1.5.5)

hike (1.2.1)

i18n (0.6.1, 0.6.0, 0.4.2)

journey (1.0.4)

2025-06-30 1/2

http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade
http://service.olindata.com/issues/636


jquery-rails (2.1.3, 2.0.3)

json (1.7.5, 1.7.3)

mail (2.4.4)

metaclass (0.0.1)

mime-types (1.19)

mocha (0.12.7, 0.12.3)

multi_json (1.3.7, 1.3.6)

mysql (2.8.1)

net-ldap (0.3.1)

polyglot (0.3.3)

rack (1.4.1, 1.1.3, 1.0.1)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.2)

rack-test (0.6.2, 0.6.1)

rails (3.2.8, 3.2.6, 2.3.14, 2.3.5)

railties (3.2.8, 3.2.6)

rake (0.9.2.2, 0.8.7)

rdoc (3.12)

ruby-openid (2.2.2, 2.1.8)

shoulda (3.3.2, 2.11.3, 2.10.3)

shoulda-context (1.0.1)

shoulda-matchers (1.4.1)

sprockets (2.8.1, 2.8.0, 2.1.3)

thor (0.16.0, 0.15.4)

tilt (1.3.3)

treetop (1.4.12, 1.4.11, 1.4.10)

tzinfo (0.3.35, 0.3.34, 0.3.33)

History

#1 - 2012-11-10 14:55 - Choon Ming Goh

- Status changed from New to Resolved

it was a misconfiguration. In order to use sendmail, I need to add the following to the configuration.yml

enable_starttls_auto: false

authentication: :none

It does make sense to have this noted down in the wiki

#2 - 2012-11-13 12:01 - Toshi MARUYAMA

- Category set to Email notifications

#3 - 2012-11-14 15:15 - Etienne Massip

- Category changed from Email notifications to Documentation

#4 - 2013-01-23 11:00 - Daniel Felix

- Status changed from Resolved to Closed

- Resolution set to Invalid

Closing this, reference note #12343-1 for further infos.
